Subject: bug#20141: 24.4.91; Helm is broken after last changes in eieio

From: Ivan Shmakov <[email-masked]>
Date: Thu, 19 Mar 2015 06:05:32 +0000

>>>>> Thierry Volpiatto <[email-masked]> writes:
>>>>> "mh" == michael-heerdegen opened this Issue Mar 19, 2015

 > After commit 50c117f in emacs-25, helm is broken, works fine
 > otherwise in prior versions and emacs-24 of course.

 > https://github.com/emacs-helm/helm/issues/930

 mh> emacs -Q -batch -L . -f batch-byte-compile helm-adaptive.el
 mh> helm-aliases.el helm-apt.el helm-autoloads.el helm-bookmark.el
 mh> helm-buffers.el helm-color.el helm-command.el helm-config.el
 mh> helm-dabbrev.el helm-elisp-package.el helm-elisp.el
 mh> helm-elscreen.el helm-eshell.el helm-eval.el helm-external.el
 mh> helm-files.el helm-font.el helm-grep.el helm-help.el helm-imenu.el
 mh> helm-info.el helm-locate.el helm-man.el helm-match-plugin.el
 mh> helm-misc.el helm-mode.el helm-net.el helm-org.el helm-pkg.el
 mh> helm-plugin.el helm-regexp.el helm-ring.el helm-semantic.el
 mh> helm-source.el helm-sys.el helm-tags.el helm-utils.el helm.el

 mh> In toplevel form:

 mh> helm-bookmark.el:23:1:Error: Wrong type argument: symbol,
 mh> [cl-struct-cl-slot-descriptor name nil t ((:documentation . "  The
 mh> name of the source.

	Frankly, I wasn’t even able to build Emacs as of 8dfff871bdf0
	(2015-03-18 14:49:55Z), although the error for me is different
	(MIMEd.  Please note that I do not bootstrap – I /always/ build
	in a freshly created build directory; lndir-ed.)  Going two
	commits back (to fd93edbb1cab) resolved the issue.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A
make -C ../admin/grammars all EMACS="../../src/emacs"
make[2]: Entering directory '/home/private/users/ivan/devel/emacs-2015-03-18-build/admin/grammars'
[ ! -f "../../lisp/cedet/semantic/bovine/c-by.el" ] || chmod +w "../../lisp/cedet/semantic/bovine/c-by.el"
EMACSLOADPATH= "../../src/emacs" -batch --no-site-file --no-site-lisp -l semantic/bovine/grammar -f bovine-batch-make-parser -o "../../lisp/cedet/semantic/bovine/c-by.el" c.by
../../lisp/emacs-lisp/eieio.el: `eieio-object-name-string' is an obsolete generic function (as of 25.1); use `eieio-named' instead.
Attempt to modify read-only object: []
Makefile:84: recipe for target '../../lisp/cedet/semantic/bovine/c-by.el' failed
make[2]: *** [../../lisp/cedet/semantic/bovine/c-by.el] Error 255
make[2]: Leaving directory '/home/private/users/ivan/devel/emacs-2015-03-18-build/admin/grammars'
Makefile:338: recipe for target 'semantic' failed